/* NOWSERV.C */

#include <notes.g>

GLREF_D PR_HWIMMAN *w_am;
GLREF_D PR_NOCOMMAN *DatApp2;
GLREF_D PR_EDWIN *DatApp3;

#pragma METHOD_CALL

METHOD VOID nowserv_ws_background(PR_NOWSERV *self)
    {
    INT fmt;

    if (!(self->wserv.flags&PR_WSERV_RECEIVED_KEY))
    	return;
    fmt=0;
    if (DatApp2->nocomman.which==NOTES_WINDOW && DatApp3->edwin.select)
        fmt=(1<<DF_LINK_TEXT);
    p_send4(w_am->appman.system,O_SY_LINK_SERVER,fmt,0);
    }
